curl -X POST 'https://crypto-api.yativo.com/api/v1/yativo-card/yvc_01HX9KZMB3F7VNQP8R2WDGT4EI/iban/activate' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"kyc_method": "platform_kyc"
}'
{
"status": "success",
"message": "IBAN activation initiated",
"data": {
"yativo_card_id": "yvc_01HX9KZMB3F7VNQP8R2WDGT4EI",
"iban_status": "pending_kyc",
"kyc_method": "platform_kyc",
"initiated_at": "2026-03-26T12:00:00Z"
}
}
Yativo Card (Own Account)
Activate Card IBAN
Activate an IBAN for the card wallet to enable bank transfers
POST
/
v1
/
yativo-card
/
{yativoCardId}
/
iban
/
activate
curl -X POST 'https://crypto-api.yativo.com/api/v1/yativo-card/yvc_01HX9KZMB3F7VNQP8R2WDGT4EI/iban/activate' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"kyc_method": "platform_kyc"
}'
{
"status": "success",
"message": "IBAN activation initiated",
"data": {
"yativo_card_id": "yvc_01HX9KZMB3F7VNQP8R2WDGT4EI",
"iban_status": "pending_kyc",
"kyc_method": "platform_kyc",
"initiated_at": "2026-03-26T12:00:00Z"
}
}
string
required
Bearer token:
Bearer YOUR_ACCESS_TOKENstring
required
The Yativo Card account ID.
string
required
The KYC verification method to use. One of:
platform_kyc— KYC handled by the platformuser_kyc— User completes KYC directly via the hosted verification flowdirect_docs— KYC via direct document submission
string
A KYC access token, required when
kyc_method is user_kyc.curl -X POST 'https://crypto-api.yativo.com/api/v1/yativo-card/yvc_01HX9KZMB3F7VNQP8R2WDGT4EI/iban/activate' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"kyc_method": "platform_kyc"
}'
{
"status": "success",
"message": "IBAN activation initiated",
"data": {
"yativo_card_id": "yvc_01HX9KZMB3F7VNQP8R2WDGT4EI",
"iban_status": "pending_kyc",
"kyc_method": "platform_kyc",
"initiated_at": "2026-03-26T12:00:00Z"
}
}

